%define name shorewall
%define samples_version 1.2.1
%define version 1.2.9
%define release 1mdk
%define ftp_path ftp://ftp.%{name}.net/pub/%{name}/
%define ftp_path  ftp://

Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
Name: %name
Version: %version
Release: %release
Source0: %ftp_path/%{name}-%{version}.tar.bz2
Source1: %ftp_path/samples-%{version}/samples-%{samples_version}.tar.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://shorewall.sourceforge.net/
BuildArch: noarch
BuildRoot: %_tmppath/%{name}-buildroot
Requires: iptables
Requires: chkconfig
Provides: shorewall
Conflicts: kernel <= 2.2

%description

Shoreline Firewall is an iptables-based firewall for Linux systems.
The firewall is designed to be used on:
a) Single systems attached to the internet via dial-in PPP or ISDN.
b) Single systems attached full-time to the internet (ADSL, Cable, etc.)
c) Linux system used as a Masquerading gateway for one or more client and/or
server systems.

%prep

%setup 
#cp %SOURCE1 $RPM_BUILD_DIR/%name-%version/documentation
tar xjf %SOURCE1

cd  $RPM_BUILD_DIR/%name-%version/samples-%{samples_version}/
for i in `ls *.tar.bz2`; do
	tar xjf $i
done;
rm -rf *.bz2
mv  $RPM_BUILD_DIR/%name-%version/samples-%{samples_version}/ $RPM_BUILD_DIR/%name-%version/documentation

%build

%install
rm -rf $RPM_BUILD_ROOT
export PREFIX=$RPM_BUILD_ROOT ; \
export OWNER=`id -n -u` ; \
export GROUP=`id -n -g` ;\
./install.sh %{_initrddir}

# Suppress automatic replacement of "echo" by "gprintf" in the shorewall
# startup script by RPM. This automatic replacement is broken.
export DONT_GPRINTIFY=1

chmod a+r $RPM_BUILD_DIR/%{name}-%{version}/{COPYING,INSTALL}
chmod a+r $RPM_BUILD_DIR/%{name}-%{version}/documentation/{localpub,publish,blubul1a*,images,outline.js,_themes/*}
chmod 755 $RPM_BUILD_DIR/%{name}-%{version}/documentation/_themes/
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add shorewall

%preun
if [ $1 = 0 ]; then /sbin/chkconfig --del shorewall; fi

%files
%defattr(-,root,root)
%doc %attr(-,root,root) COPYING INSTALL changelog.txt releasenotes.txt tunnel
%doc %attr(-,root,root) documentation/*
%attr(700,root,root) %dir /etc/shorewall
%config(noreplace) %attr(750,root,root) %{_initrddir}/shorewall
%config(noreplace) /%_sysconfdir/%{name}/version
%config(noreplace) /%_sysconfdir/%{name}/common.def
%config(noreplace) /%_sysconfdir/%{name}/icmp.def
%config(noreplace) /%_sysconfdir/%{name}/firewall
%config(noreplace) /%_sysconfdir/%{name}/shorewall.conf
%config(noreplace) /%_sysconfdir/%{name}/zones
%config(noreplace) /%_sysconfdir/%{name}/policy
%config(noreplace) /%_sysconfdir/%{name}/interfaces
%config(noreplace) /%_sysconfdir/%{name}/blacklist
%config(noreplace) /%_sysconfdir/%{name}/rules
%config(noreplace) /%_sysconfdir/%{name}/nat
%config(noreplace) /%_sysconfdir/%{name}/proxyarp
%config(noreplace) /%_sysconfdir/%{name}/masq
%config(noreplace) /%_sysconfdir/%{name}/modules
%config(noreplace) /%_sysconfdir/%{name}/tcrules
%config(noreplace) /%_sysconfdir/%{name}/tos
%config(noreplace) /%_sysconfdir/%{name}/tunnels
%config(noreplace) /%_sysconfdir/%{name}/hosts            
%config(noreplace) /%_sysconfdir/%{name}/params
%config(noreplace) %attr(444,root,root) /%_sysconfdir/%{name}/functions

%attr(544,root,root) /sbin/shorewall

%changelog
* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.9-1mdk
- shorewall 1.2.9
- samples 1.2.1
- fiw some doc files permissions

* Wed Feb 20 2002 Florin <florin@mandrakesoft.com> 1.2.6-2mdk
- add misc, pptp and cbq examples in samples archive

* Tue Feb 12 2002 Florin <florin@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6
- use the install.sh script
- move shorewall to /sbin
- add conflicts to the kernel <= 2.2

* Tue Jan 22 2002 Florin <florin@mandrakesoft.com> 1.2.3-2mdk
- fix the ADSL entry in description (thx to Y.Duret)

* Tue Jan 22 2002 Florin <florin@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Thu Jan 10 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2
- 1.2.0 samples version
- add the /%_sysconfdir/%{name}/{blacklist,tcrules} files
- fix some rpmlint errors

* Mon Dec 31 2001 Florin <florin@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0
- update the samples files

* Tue Dec 18 2001 Florin <florin@mandrakesoft.com> 1.1.18-2mdk
- add the original sample files
- use the ftp_path macro
- forbid the echo/gprintf substitution in the initscript
- fix the docs permissions

* Mon Dec 17 2001 Florin <florin@mandrakesoft.com> 1.1.18-1mdk
- 1.1.18

* Thu Oct 11 2001 Florin <florin@mandrakesoft.com> 1.1.13-3mdk
- add the /etc/shorewall/params file

* Wed Sep 26 2001 Florin <florin@mandrakesoft.com> 1.1.13-2mdk
- fix a typo in description (thx to Alvaro Herrera)

* Mon Sep 24 2001 Florin <florin@mandrakesoft.com> 1.1.13-1mdk
- 1.1.13

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.12-1mdk
- rebuild

* Wed Aug  1 2001 Sylvain de Tilly <sdetilly@ke.mandrakesoft.com> 1.1.10-1mdk
- Transforme original spec file to Mandrake's spec file

* Fri Jul 06 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 10
* Tue Jun 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 9
- Added tunnel file
- Readded tunnels file
* Mon Jun 18 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 8
* Sat Jun 02 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 7
- Changed iptables dependency.
* Tue May 22 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 6
- Added tunnels file
* Sat May 19 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 5
- Added modules and tos files
* Sat May 12 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 4
- Added changelog.txt and releasenotes.txt
* Sat Apr 28 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed release to 3
* Mon Apr 9 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Added files common.def and icmpdef.def
- Changed release to 2
* Wed Apr 4 2001 Tom Eastep <tom@seattlefirewall.dyndns.org>
- Changed the release to 1.
* Mon Mar 26 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the version to 1.1
- Added hosts file
* Sun Mar 18 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed the release to 4
- Added Zones and Functions files
* Mon Mar 12 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change ipchains dependency to an iptables dependency and 
  changed the release to 3
* Fri Mar 9 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Add additional files.
* Thu Mar 8 2001 Tom EAstep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.2
* Tue Mar 6 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 1.0.1
* Sun Mar 4 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changes for Shorewall
* Thu Feb 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.1.0
* Fri Feb 2 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.4
* Mon Jan 22 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Change version to 4.0.2
* Sat Jan 20 2001 Tom Eastep <teastep@seattlefirewall.dyndns.org>
- Changed version to 4.0
* Fri Jan 5 2001 Tom Eastep <teastep@evergo.net>
- Added dmzclients file
* Sun Dec 24 2000 Tom Eastep <teastep@evergo.net>
- Added ftpserver file
* Sat Aug 12 2000 Tom Eastep <teastep@evergo.net>
- Added "nat" and "proxyarp" files for 4.0
* Mon May 20 2000 Tom Eastep <teastep@evergo.net>
- added updown file
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- Corrected the group - Networking/Utilities
- Added "noreplace" attributes to config files, so current confis is not
  changed.
- Added the version file.
* Sat May 20 2000 Tom Eastep <teastep@evergo.net>
- Converted Simon's patch to version 3.1
* Sat May 20 2000 Simon Piette <spiette@generation.net>
- 3.0.2 Initial RPM
  Patched the install script so it can take a PREFIX variable
